<?php
session_start();

   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
	
	function redondear_dos_decimal($valor) {
   $float_redondeado=round($valor * 100) / 100;
   return $float_redondeado;
} 
	
   $qcc1 = "SELECT id_inver FROM inversionista WHERE rfc = \"$rfc\" ";
           $ccc1 = mysqli_query($conexion, $qcc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rrc = mysqli_fetch_row($ccc1);
  
           $id_inv=$rrc[0];
	   
	echo"
	<br><center><label style='color:#5C3C12; font-size:28px; font-weight:bold'>Calcular Impuestos</label><br><br>Ingresa la cantidad a calcular<br><br></center>
	<form name=\"Agrega\" action=\"calculaimpuestos.php\" method=\"post\">
	<div align=\"center\">
	<table>
		<tr>
	<td>
	Cantidad:<td/>
	<td><input type=\"text\" name=\"cantidad\" value=\"\"></td>";
	 echo"<td>
	<br><input type=\"submit\" name=\"generar\" id=\"aceptar\" value=\"Generar\" />
	</td>
							</tr>
						
	
	
	  
      </table>
  </form>";
  
 
  $total =$_POST['cantidad'];
  

  if($total>=0){
  if($total>=0 && $total<=496.07){$liminf=0.01; $fija=0; $excedente=0.0192;	}
	if($total>=496.08 && $total<=4210.41){$liminf=496.08; $fija=9.52; $excedente=0.0640;	}
	if($total>=4210.42 && $total<=7399.42){$liminf=4210.42; $fija=247.23; $excedente=0.1088;	}
	if($total>=7399.43 && $total<=8601.5){$liminf=7399.43; $fija=594.24; $excedente=0.1600;	}
	if($total>=8601.51 && $total<=10298.35){$liminf=8601.51; $fija=786.55; $excedente=0.1792;	}
	if($total>=10298.36 && $total<=20770.29){$liminf=10298.36; $fija=1090.62; $excedente=0.2136;	}
	if($total>=20770.3 && $total<=32736.83){$liminf=20770.3; $fija=3178.3; $excedente=0.2352;	}
	if($total>=32736.84 ){$liminf=32736.84; $fija=5805.2; $excedente=0.3000;	}
	
	$impuest=(($total-$liminf)*$excedente)+$fija;
	$impuestos=redondear_dos_decimal($impuest);
	$pagar=$total-$impuestos;
	
	echo"<center><br><br> Subtotal: $ $total<br><br>Impuestos: $ $impuestos<br><br> A pagar: $ $pagar ";
  }
  
?>